[Python-modules-commits] r23838 - in packages/python-crypto/trunk/debian/tests (6 files)

sramacher at users.alioth.debian.org sramacher at users.alioth.debian.org
Thu Apr 4 13:44:02 UTC 2013


    Date: Thursday, April 4, 2013 @ 13:44:00
  Author: sramacher
Revision: 23838

Filter warning about RandomPool_DeprecationWarning

Modified:
  packages/python-crypto/trunk/debian/tests/python2
  packages/python-crypto/trunk/debian/tests/python2-all
  packages/python-crypto/trunk/debian/tests/python2-all-dbg
  packages/python-crypto/trunk/debian/tests/python3
  packages/python-crypto/trunk/debian/tests/python3-all
  packages/python-crypto/trunk/debian/tests/python3-all-dbg

Modified: packages/python-crypto/trunk/debian/tests/python2
===================================================================
--- packages/python-crypto/trunk/debian/tests/python2	2013-04-04 13:28:18 UTC (rev 23837)
+++ packages/python-crypto/trunk/debian/tests/python2	2013-04-04 13:44:00 UTC (rev 23838)
@@ -1,4 +1,5 @@
-#!/bin/sh
-set -ex
+#!/bin/bash
+set -e
 
-python -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+python -c "import Crypto.SelfTest; Crypto.SelfTest.run()" \
+  2> >( grep -v RandomPool_DeprecationWarning >&2 )

Modified: packages/python-crypto/trunk/debian/tests/python2-all
===================================================================
--- packages/python-crypto/trunk/debian/tests/python2-all	2013-04-04 13:28:18 UTC (rev 23837)
+++ packages/python-crypto/trunk/debian/tests/python2-all	2013-04-04 13:44:00 UTC (rev 23838)
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 
 PYVERS=$(pyversions -vi)
 
-set -x
 for py in $PYVERS ; do
-  python$py -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+  python$py -c "import Crypto.SelfTest; Crypto.SelfTest.run()" \
+    2> >( grep -v RandomPool_DeprecationWarning >&2 )
 done

Modified: packages/python-crypto/trunk/debian/tests/python2-all-dbg
===================================================================
--- packages/python-crypto/trunk/debian/tests/python2-all-dbg	2013-04-04 13:28:18 UTC (rev 23837)
+++ packages/python-crypto/trunk/debian/tests/python2-all-dbg	2013-04-04 13:44:00 UTC (rev 23838)
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 
 PYVERS=$(pyversions -vi)
 
-set -x
 for py in $PYVERS ; do
-  python$py-dbg -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+  python$py-dbg -c "import Crypto.SelfTest; Crypto.SelfTest.run()" \
+    2> >( grep -v RandomPool_DeprecationWarning >&2 )
 done

Modified: packages/python-crypto/trunk/debian/tests/python3
===================================================================
--- packages/python-crypto/trunk/debian/tests/python3	2013-04-04 13:28:18 UTC (rev 23837)
+++ packages/python-crypto/trunk/debian/tests/python3	2013-04-04 13:44:00 UTC (rev 23838)
@@ -1,4 +1,5 @@
-#!/bin/sh
-set -ex
+#!/bin/bash
+set -e
 
-python3 -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+python3 -c "import Crypto.SelfTest; Crypto.SelfTest.run()" \
+  2> >( grep -v RandomPool_DeprecationWarning >&2 )

Modified: packages/python-crypto/trunk/debian/tests/python3-all
===================================================================
--- packages/python-crypto/trunk/debian/tests/python3-all	2013-04-04 13:28:18 UTC (rev 23837)
+++ packages/python-crypto/trunk/debian/tests/python3-all	2013-04-04 13:44:00 UTC (rev 23838)
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 
 PYVERS=$(py3versions -vi)
 
-set -x
 for py in $PYVERS ; do
-  python$py -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+  python$py -c "import Crypto.SelfTest; Crypto.SelfTest.run()" \
+    2> >( grep -v RandomPool_DeprecationWarning >&2 )
 done

Modified: packages/python-crypto/trunk/debian/tests/python3-all-dbg
===================================================================
--- packages/python-crypto/trunk/debian/tests/python3-all-dbg	2013-04-04 13:28:18 UTC (rev 23837)
+++ packages/python-crypto/trunk/debian/tests/python3-all-dbg	2013-04-04 13:44:00 UTC (rev 23838)
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 
 PYVERS=$(py3versions -vi)
 
-set -x
 for py in $PYVERS ; do
-  python$py-dbg -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+  python$py-dbg -c "import Crypto.SelfTest; Crypto.SelfTest.run()" \
+    2> >( grep -v RandomPool_DeprecationWarning >&2 )
 done




More information about the Python-modules-commits mailing list